How do you upgrade Rails 2.0.2 to 2.2.2?

Dear Friends,

I am having trouble with the rails version. I am looking at the book
by Sam, Dave and David, where they said if I install InstantRails 2.0,
it comes with Rails 2.2.2. But apparently when I actually downloaded
it from (http://rubyforge.org/frs/download.php/29867/InstantRails-2.0-
win.zip), and then (unzipped it -> ran instantrails.exe -> opened Ruby
Console window from the I icon etc),

I issued the command rails -v and it says Rails is version 2.0.2.

So I wanted to upgrade it to 2.2.2. To do that, I gave the
instructions from the book

gem install rails --version 2.2.2,

but I get the error:

Updating metadata for 1 gems from http://gems.rubyforge.org
.
complete
ERROR: could not find rails locally or in a repository

What am I missing?

Environment: Windows XP SP3
InstantRails 2.0

Have you tried running “gem update --system”? Just a guess…hope it
helps.

I would suggest you try 'gem list -r' to see if there are any remote gems in the repository you are contacting.  That should give you some  information on what is there.  I have personally upgraded InstantRails 2.0 from 2.0.2 to 2.2.? and  I cannot recall any particular problems doing it.  Updating gem as suggested may help.

Norm



You received this message because you are subscribed to the Google
Groups “Ruby on Rails: Talk” group.

To post to this group, send email to
[email protected]

To unsubscribe from this group, send email to
[email protected]

For more options, visit this group at
http://groups.google.com/group/rubyonrails-talk?hl=en.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs